//**************************************************************************************************
//
//  This Software and Related Documentation are Proprietary to Ageia
//  Technologies, Inc.
//
//  Copyright 2003 Ageia Technologies, Inc. St. Louis, MO
//  Unpublished -
//  All Rights Reserved Under the Copyright Laws of the United States.
//
//  Restricted Rights Legend:  Use, Duplication, or Disclosure by
//  the Government is Subject to Restrictions as Set Forth in
//  Paragraph (c)(1)(ii) of the Rights in Technical Data and
//  Computer Software Clause at DFARS 252.227-7013.  Ageia
//  Technologies Inc.
//
// 	Utils.h
//
//	Collection of good tools that do not belong in any class.
//
//**************************************************************************************************
#ifndef _Utils_h
#define _Utils_h

// Misc                   
int     htoi( const char *cp );
_int64  htoi64( const char *cp );

// OS
CString getComputerName();
void    XSleep( int DelayTime_msec );

// Doc/View Helpers
CView*  EK_GetActiveView();

// File IO Tools
CString GetDrive( CString Path );
CString GetDirectory( CString Path );
CString GetFile( CString Path );
CString GetExt( CString Path );
BYTE*   ReadFileIntoMemory( CString PathName, UINT* FileLength );
CString	BrowseForFolder( HWND hWnd, CString Title, CString InitialFolder );
BOOL    GetFileList( CString TargetPath, BOOL FullPath, CStringArray* FileList );
CString GetCurrentPathName();
void    SetCurrentPathName( CString PathName );
int		GetVolumeSerialNumber();
BOOL 	DoesFileExsist( CString PathName );
BOOL 	ShellCopyFile( HWND phWnd, CString To, CString From, FILEOP_FLAGS MoreFlags=0 );
int		SendFileToRecycleBin( HWND phWnd, CString* FileName, BOOL Recycle=TRUE );

#endif 
